Kerbal Space Program - Bug #24848

Wheels Sliding Across the Mun (1.9.0) Multiple Wheel Types
02/13/2020 03:31 PM - gword256

Status: Resolved Start date: 02/13/2020
Severity: Low % Done: 100%
Assignee:
Category: Physics
Target version: 1.9.1
Version: 1.9.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Originally took this video with some quality of life mods installed. | deleted them all and the same happens (I understand that is not a
fresh install). When | switch to this craft (haven't tried others) it just slides across the Mun. This craft is originally from 1.8.1 without
any non-stock parts. | was unable to get it under control and ended up in the canyon with no way to get out. The usual fiddling with
suspension settings didn't work either.

https://imgur.com/a/zxJPJP7

build id = 02781

Win 10 Pro

DirectX 12

Steam Install

History

#1 - 02/15/2020 12:40 AM - Anth12

- File 1_7_3 XL3.sfs added

- File Friction 1.8.1.png added

- File Friction 1.9.0.png added

- Subject changed from Wheels Sliding Across the Mun (1.9.0) to Wheels Sliding Across the Mun (1.9.0) XL3 wheels
- Category changed from Bug Tracker to Physics

- Status changed from New to Confirmed

- % Done changed from 0 to 10

KSP 1.7.3
KSP 1.8.1
KSP 1.9.0

Issue:
Friction is the problem

In 1.7.3+1.8.1 the friction is set to 8.2 automatically
In 1.9.0 the friction is set to 0.25 automatically

Screenshots will show difference in the automatic settings.
Work Around: | increased the friction in 1.9.0 and the rover stopped sliding.
How to test: Use 1_7_3 XL3.sfs

Bug Confirmed

#2 - 02/15/2020 01:43 AM - Anth12

04/20/2024 1/2



https://imgur.com/a/zxJPJP7

- File 1_7_3 3 Wheel Types.sfs added

- Subject changed from Wheels Sliding Across the Mun (1.9.0) XL3 wheels to Wheels Sliding Across the Mun (1.9.0) Multiple Wheel Types

| thought this was a bug report for only the XL3 wheels.

Added 1_7_3 3 Wheel Types.sfs to show that the friction has been changed for multiple wheel types for 1.9.0 to 0.25 from higher numbers

#3 - 02/16/2020 06:45 AM - Anth12
related to #24856

#5 - 02/28/2020 04:02 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.9.1

- % Done changed from 10 to 80

We've made some changes in the latest build and would like some input on this issue please. Thanks.

#6 - 03/04/2020 10:05 AM - Anth12
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

| didnt really want to confirm this was resolved until | tested #24856 as well.

Resolved.

Please look at #24856 and set it to Ready to Test/Resolve as they are the same bug

Files

1_7_38 XL3.sfs 74 KB 02/15/2020 Anth12
Friction 1.8.1.png 2.33 MB 02/15/2020 Anth12
Friction 1.9.0.png 2.41 MB 02/15/2020 Anth12
1_7_3 3 Wheel Types.sfs 166 KB 02/15/2020 Anth12
